## kobold 0.0.2-maemo2

=== src/linux/Makefile ===
TARGET = kobold_bin

OFILES = ../ai.o \
	 ../buf.o \
	 ../chooser.o \
	 ../config.o \
	 ../dircontrol.o \
	 ../display.o \
	 ../dpdf.o \
	 ../engine.o \
	 ../firefly.o \
	 ../gfxengine.o \
	 ../glbdef.o \
	 ../grammar.o \
	 ../item.o \
	 ../main.o \
	 ../map.o \
	 ../mob.o \
	 ../msg.o \
	 ../panel.o \
	 ../rand.o \
	 ../scrpos.o \
	 ../speed.o \
	 ../text.o \
	 ../thread.o \
	 ../thread_linux.o

.cpp.o:
	g++ -O3 -DLINUX -I/usr/include/libtcod `sdl-config --cflags` -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES)  -L/usr/lib/libtcod -ltcod -ltcodxx  `sdl-config --libs`  -lSDL_mixer

clean:
	rm -f ../*.o
	rm -f $(TARGET)

premake:
	cd .. ; ./support/enummaker/enummaker source.txt

=== debian/changelog ===
kobold (0.0.2-maemo2) unstable; urgency=low

  * Dependencies fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 23:16:31 +0020

kobold (0.0.2-maemo1) unstable; urgency=low

  * Saves to "/home/user/.kobold.sav"
  * Width=800
  * No support for sounds
  * Uses system's libtcod-1.5.1
  * Fix for compiling with gcc-4.2
  * Use started script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 22:53:31 +0020

=== debian/control ===
Source: kobold
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev, libtcod-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2
Homepage: http://www.zincland.com/7drl/kobold
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: kobold
Architecture: any
Depends: ${shlibs:Depends}
Description: Smart Kobold is a Seven Day Roguelike written by Jeff Lait.

## kobold 0.0.2-maemo3

=== debian/changelog ===
kobold (0.0.2-maemo3) unstable; urgency=low

  * Error with audio is not critical.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  8 Sep 2011 20:42:31 +0020

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	#omap2
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
	#omap3
#	CPPFLAGS += -mcpu=cortex-a8 -mfpu=vfp3 -mfloat-abi=softfp 
	CPPFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
	CPPFLAGS += -ftree-vectorize -fsingle-precision-constant
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	cd src/support/enummaker/ ; make
	cd src/linux/ ; make
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	cd src/support/enummaker/ ; make clean
	cd src/linux/ ; make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

	#binary
	install -d  ${CURDIR}/debian/kobold/opt/kobold/bin
	install ${CURDIR}/src/linux/kobold_bin ${CURDIR}/debian/kobold/opt/kobold/bin/

	#starter
	install ${CURDIR}/debian/kobold.sh ${CURDIR}/debian/kobold/opt/kobold/

	#config
	install ${CURDIR}/kobold.cfg ${CURDIR}/debian/kobold/opt/kobold/

	#data files
	install ${CURDIR}/text.txt ${CURDIR}/debian/kobold/opt/kobold/
	install ${CURDIR}/README.TXT ${CURDIR}/debian/kobold/opt/kobold/
	install ${CURDIR}/terminal.png ${CURDIR}/debian/kobold/opt/kobold/bin
	cp -r ${CURDIR}/rooms ${CURDIR}/debian/kobold/opt/kobold/

	#icon
	install -d  ${CURDIR}/debian/kobold/usr/share/pixmaps 
	install ${CURDIR}/debian/kobold.png  ${CURDIR}/debian/kobold/usr/share/pixmaps/kobold.png

	#menu 
	install -d ${CURDIR}/debian/kobold/usr/share/applications/hildon
	install ${CURDIR}/debian/kobold.desktop ${CURDIR}/debian/kobold/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
